View Issue Details

IDProjectCategoryView StatusLast Update
13320Bug reports[All Projects] Survey designpublic2018-02-21 16:37
Reporterjelo Assigned Toollehar  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.2.x 
Target VersionFixed in Version3.4.x 
Summary13320: Endmessage is not shown in preview
Description

Endmessage is not shown in preview. Only in activated survey.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.2.1
I will donate to the project if issue is resolvedNo
BrowserFirefox 58.0.1
Database & DB-VersionMariaDB 10.1.30
Server OS (if known)Linux CentOS 6.9 64bit
Webserver software & version (if known)Apache 2.4.X
PHP VersionPHP 5.6.X

Activities

jelo

jelo

2018-02-08 15:47

partner  

c_schmitz

c_schmitz

2018-02-08 16:39

administrator   ~46328

Also if the end URL feature is set the URL should be at least shown as a static link, like in 2.73

LouisGac

LouisGac

2018-02-08 17:13

manager   ~46330

in preview mode I think it was not shown even in 2.73, was it?

ollehar

ollehar

2018-02-20 14:16

administrator   ~46613

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26525

Related Changesets

LimeSurvey: master 48584d50

2018-02-20 14:16:37

ollehar

Details Diff
Fixed issue 13320: End message is not shown in preview Affected Issues
13320
mod - application/helpers/SurveyRuntimeHelper.php Diff File
mod - themes/survey/vanilla/views/subviews/content/submit_preview.twig Diff File

Issue History

Date Modified Username Field Change
2018-02-08 15:47 jelo New Issue
2018-02-08 15:47 jelo File Added: 20180208.endmessageactivatesurvey.PNG
2018-02-08 15:47 jelo File Added: 20180208.endmessagenotinpreview.PNG
2018-02-08 16:00 ollehar Product Version 3.1.x => 3.2.x
2018-02-08 16:39 c_schmitz Note Added: 46328
2018-02-08 16:39 c_schmitz Assigned To => ollehar
2018-02-08 16:39 c_schmitz Status new => assigned
2018-02-08 17:13 LouisGac Note Added: 46330
2018-02-20 14:16 ollehar Changeset attached => LimeSurvey master 48584d50
2018-02-20 14:16 ollehar Note Added: 46613
2018-02-20 14:16 ollehar Resolution open => fixed
2018-02-20 14:17 ollehar Status assigned => resolved
2018-02-20 14:17 ollehar Fixed in Version => 3.4.x
2018-02-21 16:37 ollehar Status resolved => closed